### Consignes pour le rendu (BE #5 - INF-TC2)

Ce BE est le second devoir à rendre concernant INF-TC2. Le compte-rendu (CR) de ce travail devra être déposé sur `Pedagogie1`, sur l'espace de dépôt spécifique à votre groupe. Et cela dans un **délai de deux semaines après la dernière séance consacrée** (délai de rigueur, aucun travail accepté au delà de cette date). Ces 2 semaines ne tiennent pas compte d'éventuelles vacances.

**Consignes:**

  - Le travail peut être individuel ou en binôme. Si vous travaillez en binôme, **un seul dépôt suffit !**.   
 - Le dépôt consistera en une unique archive (zip, rar) contenant l'ensemble des fichiers suivants :   
     - Le fichier _Python_, appelé *Pendu.py*, contenant toutes les classes (**FenPrincipale**, **ZoneAffichage** et **MonBoutonLettre**), et un programme principal permettant de lancer l'application.
     - Le fichier *mots.txt* et la classe *formes.py* (même s'ils n'ont pas été modifiés). 
     - un rapport (format _word_, _pdf_, ou miex encore _markdown_ !) contenant      
         - une en-tête où devront figurer le nom des élèves, leur numéro de groupe, le nom de l'encadrant ainsi que le titre du BE.   
         - un diagramme de classes UML complet de votre application (pensez à utiliser [diagrams](https://app.diagrams.net) !), avec les liens entre les classes, les cardinalités, les attributs (privés ou publics), et les méthodes (elles-mêmes publiques ou privées).  
         - Une présentation du code de la DERNIÈRE PARTIE UNIQUEMENT de votre travail (partie intitulée _Améliorations du jeu_). Vous pouvez utilisez des explications textuelles, des diagrammes, des copies d'écran...

 - L'archive devra nécessairement porter le nom suivant : *nom1-BE5.zip* ou *nom1-nom2-BE5.zip* (pour les étourdis, pensez à remplacer *nom1* et *nom2* par vos propres noms :-) )
